{% extends "layout.html" %}
{% block body %}
<form action="" method=post class="form-horizontal">
    <h2>Playerinfo</h2>
    <div class="control-group">
        <div class="controls">
            PlayerName: <b>{{ player.player_name }}</b> <br/>
            Created: <b>  {{ player.created_on.strftime('%Y-%m-%d %H:%M') }}</b> <br/>
            CurrentRatingOffense: <b>{{ player.getRating(1).display_rating() }}({{ player.getRating(1).display_rating_ext() }} )</b> <br/>
            CurrentRatingDefense: <b>{{ player.getRating(2).display_rating() }}({{ player.getRating(2).display_rating_ext() }} )</b> <br/>
        </div>
    </div>
    </table>
    <h2>Matches</h2>
    <table class="table table-hover table-striped table-responsive" id="datatable">
        <thead><tr>
            <th></th>
            <th>#</th>
            <th data-priority="1">Matchtime</th>
            <th>Team</th>
            <th data-priority="2">W/L</th>
            <th>expected Score Team1</th>
            <th data-priority="3">actual Score Team1</th>
            <th>Pos</th>
            <th data-priority="4">rating_before</th>
            <th >rating_before_ext</th>
            <th data-priority="4">rating_after</th>
             <th>rating_after_ext</th>
           </tr></thead>
            {%- for match_player in matches %}
        <tr>
            <td></td>
            <td><a href="/match/{{ match_player.match.id }}">{{ match_player.match.id }}</a></td>
            <td data-order="{{ match_player.match.matchtime.strftime('%Y%m%d%H%M') }}">{{ match_player.match.matchtime.strftime('%Y-%m-%d %H:%M') }}</td>
            <td>{{match_player.team_id}}</td>
            <td>{{match_player.winner_loser}}</td>
            <td>{{match_player.expected_result_t1}}:{{match_player.expected_result_t2}}</td>
            <td>{{ match_player.match.result_team1}}:{{ match_player.match.result_team2 }}</td>
            <td>{{match_player.position}}</td>

            <td data-order="{{ match_player.getRatingBefore().display_rating() }}">{{ match_player.getRatingBefore().display_rating() }}</td>
            <td data-order="{{ match_player.getRatingBefore().display_rating() }}">{{ match_player.getRatingBefore().display_rating_ext() }} </td>
            <td data-order="{{ match_player.getRatingAfter().display_rating() }}">{{ match_player.getRatingAfter().display_rating() }}</td>
            <td data-order="{{ match_player.getRatingAfter().display_rating() }}">{{ match_player.getRatingAfter().display_rating_ext() }} </td>

        </tr>
        {%- endfor %}
    </table>
    {% if current_user.user_level >=5 %}
    <div class="control-group">
        <div class="controls">
            Delete this Player <input type=checkbox name=delete.{{ player.id }}>
        </div>
    </div>
    {% endif %}


    <div class="control-group">
        <div class="controls">
            <button type="submit" class="btn btn-default">Update Player</button>
            <a  class="btn btn-default" href="{{ url_for('list_players') }}">Back to list</a>
        </div>
    </div>

</form>
    <script>
    $(document).ready( function () {

       $('#datatable').DataTable( {
        searching: false,
        responsive: {
            details: {
                type: 'column',
                target: 'tr'
            }
        },
        columnDefs: [ {
            className: 'control',
            targets:   0
        } ],
        order: [ 1, 'desc' ]
    } );
} );
</script>
{% endblock %}